﻿@model PagedList<DomainModels.Entities.Financial.UserDolorPayment>


@{
    ViewBag.Title = "سوابق وجوه دریافتی ارزی از کاربران";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().RowGuid)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().UserId)
                    </th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().BtcWalletAddress)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Amount)
					</th>
					<th>
						وضعیت پرداخت
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().PaymentStatusId)
					</th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.RowGuid)
                    </td>
                    <td>
                        <a href="/Admin/User/Detail/@item.UserId" style="color:#4800ff">@item.User.FullName (@item.UserId)</a>
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.BtcWalletAddress)
                    </td>
					<td>
						@Html.DisplayFor(modelItem => item.Amount)
					</td>
					<td>
						@Html.ShowBoolean(item.IsUserPaid, "پرداخت شده", "پرداخت نشده")
					</td>
					<td>
						@Html.ShowPaymentStatus(item.PaymentStatus)
					</td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
